import { Highlight } from '@zeedhi/zd-highlight-common';
import { ZdComponentRender } from '@zeedhi/vuetify';
export default class ZdHighlight extends ZdComponentRender {
    code: string;
    readonly: boolean;
    lineNumbers: boolean;
    autoStyleLineNumbers: boolean;
    tabSize: number | string;
    insertSpaces: boolean;
    ignoreTabKey: boolean;
    enableFullscreen: boolean;
    enableCopy: boolean;
    language: string;
    maxHeight: string;
    loadExtraLanguages: string | Function;
    fillHeight: boolean;
    instance: Highlight;
    instanceType: typeof Highlight;
    mounted(): void;
}
